osgSim::ScalarBar::TextProperties Struct Reference

`#include <ScalarBar>`

## Public Member Functions

| TextProperties ()

## Public Attributes

std::string | _fontFile
std::pair< int, int > | _fontResolution
float | _characterSize
osg::Vec4 | _color

## Detailed Description

TextProperties allows users to specify a number of properties for the text used to display the labels & title on the ScalarBar. Specifying a character size of 0 will cause the ScalarBar to estimate an appropriate size. Note that the attributes are public, and may be set directly.

## Constructor & Destructor Documentation

## TextProperties()

osgSim::ScalarBar::TextProperties::TextProperties | ( |  | ) |

inline

References _characterSize, _color, _fontFile, and _fontResolution.

## Member Data Documentation

## _characterSize

float osgSim::ScalarBar::TextProperties::_characterSize

Referenced by TextProperties().

## _color

osg::Vec4 osgSim::ScalarBar::TextProperties::_color

Referenced by TextProperties().

## _fontFile

std::string osgSim::ScalarBar::TextProperties::_fontFile

Referenced by TextProperties().

## _fontResolution

std::pair<int,int> osgSim::ScalarBar::TextProperties::_fontResolution

Referenced by TextProperties().

The documentation for this struct was generated from the following file:

- ScalarBar